=== debian/changelog ===
deepin-devicemanager (6.0.27) unstable; urgency=medium

  * new version 6.0.27.

 -- shuaijie <shuaijie@uniontech.com>  Thu, 26 Jun 2024 11:19:00 +0800

deepin-devicemanager (6.0.26) unstable; urgency=medium

  * new version 6.0.26.

 -- shuaijie <shuaijie@uniontech.com>  Thu, 17 Apr 2024 16:19:06 +0800

deepin-devicemanager (6.0.25) unstable; urgency=medium

  * new version 6.0.25.

 -- shuaijie <shuaijie@uniontech.com>  Sun, 07 Apr 2024 10:19:06 +0800

deepin-devicemanager (6.0.24) unstable; urgency=medium

  * Update tag to 6.0.24.

 -- lvwujun <lvwujun@uniontech.com>  Thu, 28 Mar 2024 17:03:34 +0800

deepin-devicemanager (6.0.23) unstable; urgency=medium

  * new version 6.0.23

 -- shuaijie <shuaijie@uniontech.com>  Wed, 13 Mar 2024 14:50:06 +0800

deepin-devicemanager (6.0.22) unstable; urgency=medium

  * new version 6.0.22

 -- shuaijie <shuaijie@uniontech.com>  Fri, 01 Mar 2024 14:50:01 +0800

deepin-devicemanager (6.0.21) unstable; urgency=medium

  * fix some bugs.

 -- fengli <fengli@uniontech.com>  Wed, 21 Feb 2024 16:57:16 +0800

deepin-devicemanager (6.0.20) unstable; urgency=medium

  * new version 6.0.20

 -- shuaijie <shuaijie@uniontech.com>  Thu, 01 Feb 2024 14:10:01 +0800

deepin-devicemanager (6.0.19) unstable; urgency=medium

  * new version 6.0.19

 -- shuaijie <shuaijie@uniontech.com>  Fri, 19 Jan 2024 13:20:01 +0800

deepin-devicemanager (6.0.18) unstable; urgency=medium

  * new version 6.0.18

 -- shuaijie <shuaijie@uniontech.com>  Thu, 10 Jan 2024 13:40:06 +0800

deepin-devicemanager (6.0.17) unstable; urgency=medium

  * new version 6.0.17

 -- shuaijie <shuaijie@uniontech.com>  Fri, 05 Jan 2024 10:20:11 +0800

deepin-devicemanager (6.0.16) unstable; urgency=medium

  * new version 6.0.16

 -- shuaijie <shuaijie@uniontech.com>  Fri, 22 Dec 2023 11:20:11 +0800

deepin-devicemanager (6.0.15) unstable; urgency=medium

  * new version 6.0.15

 -- shuaijie <shuaijie@uniontech.com>  Wed, 6 Dec 2023 13:26:01 +0800

deepin-devicemanager (6.0.14) unstable; urgency=medium

  * feat: drivers backup and restore

 --  fengli<fengli@uniontech.com>  Thu, 09 Nov 2023 13:13:41 +0800

deepin-devicemanager (6.0.13) unstable; urgency=medium

  * new version 6.0.13

 -- fengli<fengli@uniontech.com>  Thu, 09 Nov 2023 13:08:31 +0800

deepin-devicemanager (6.0.12) unstable; urgency=medium

  * Community Edition removal devicemanager.list.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 29 Aug 2023 17:11:02 +0800

deepin-devicemanager (6.0.11) unstable; urgency=medium

  * new version 6.0.11

 -- shuaijie <shuaijie@uniontech.com>  Wed, 16 Aug 2023 15:44:01 +0800

deepin-devicemanager (6.0.10) unstable; urgency=medium

  * new version 6.0.10

 -- shuaijie <shuaijie@uniontech.com>  Wed, 19 Jul 2023 13:12:08 +0800

deepin-devicemanager (6.0.9) unstable; urgency=medium

  * new version 6.0.9

 -- shuaijie <shuaijie@uniontech.com>  Fri, 16 Jun 2023 11:46:16 +0800

deepin-devicemanager (6.0.8) unstable; urgency=medium

  * new version 6.0.8

 -- shuaijie <shuaijie@uniontech.com>  Wed, 7 Jun 2023 10:35:06 +0800

deepin-devicemanager (6.0.7) unstable; urgency=medium

  * new version 6.0.7

 -- shuaijie <shuaijie@uniontech.com>  Fri, 12 May 2023 11:17:25 +0800

deepin-devicemanager (6.0.6) unstable; urgency=medium

  * New version 6.0.6

 -- liuzheng <wangyu@uniontech.com>  Mon, 13 Mar 2023 15:31:31 +0800

deepin-devicemanager (6.0.5) unstable; urgency=medium

  * update version.

 -- liuzheng <liuzheng@uniontech.com>  Mon, 16 Jan 2023 17:46:54 +0800

deepin-devicemanager (6.0.4) unstable; urgency=medium

  * New version 6.0.4

 -- wangyu <wangyu@uniontech.com>  Fri, 6 Jan 2023 10:01:18 +0800

deepin-devicemanager (6.0.3) unstable; urgency=medium

  * New version 6.0.3

 -- wangyu <wangyu@uniontech.com>  Wed, 9 Nov 2022 10:03:18 +0800

deepin-devicemanager (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- wangyu <wangyu@uniontech.com>  Sat, 29 Oct 2022 15:44:00 +0800

deepin-devicemanager (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- liuzheng <liuzheng@uniontech.com>  Fri, 21 Oct 2022 10:08:00 +0800

deepin-devicemanager (6.0.0) unstable; urgency=medium

  * New version 6.0.0

 -- wangyu <wangyu@uniontech.com>  Fri, 21 Oct 2022 10:08:00 +0800
