=== debian/changelog ===
deepin-devicemanager (6.0.28) unstable; urgency=medium

  * new version 6.0.28.

 -- shuaijie <shuaijie@uniontech.com>  Mon, 02 Sep 2024 17:02:00 +0800
