## deepin-devicemanager 6.0.40

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_minimum_required(VERSION 3.7)
 project(deepin-devicemanager C CXX)
 
 include(GNUInstallDirs)
@@ -15,6 +16,9 @@
     add_definitions(-DDISABLE_POLKIT)
 endif()
 
+# 设置 QT_VERSION 变量
+set(QT_VERSION_MAJOR 6)
+
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager)
 add_subdirectory(${CMAKE_SOURCE_DIR}/deepin-devicemanager-server)
