=== debian/changelog ===
deepin-devicemanager (6.0.40) unstable; urgency=medium

  * Update version to 6.0.40.
 
 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:24:56 +0800

deepin-devicemanager (6.0.39) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:07:28 +0800

deepin-devicemanager (6.0.38) unstable; urgency=medium

  * chore: New version 6.0.38.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 02 Apr 2025 16:08:21 +0800

deepin-devicemanager (6.0.37) unstable; urgency=medium

  * chore: New version 6.0.37.

 -- Wang Yu <wangyu@uniontch.com>  Wed, 12 Mar 2025 17:51:57 +0800

deepin-devicemanager (6.0.36) unstable; urgency=medium

  * chore: New version 6.0.36.

 -- Wang Yu <wangyu@uniontch.com>  Tue, 11 Mar 2025 20:46:25 +0800

deepin-devicemanager (6.0.35) unstable; urgency=medium

  * chore: New version 6.0.35.

 -- Wang Yu <wangyu@uniontch.com>  Fri, 07 Mar 2025 10:33:17 +0800

deepin-devicemanager (6.0.34) unstable; urgency=medium

  * chore: New version 6.0.34.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 06 Mar 2025 19:01:16 +0800

deepin-devicemanager (6.0.33) unstable; urgency=medium

  * chore: New version 6.0.33.

 -- Wang Yu <wangyu@uniontch.com>  Fri, 21 Feb 2025 10:57:53 +0800

deepin-devicemanager (6.0.32) unstable; urgency=medium

  * chore: New version 6.0.32.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 14 Feb 2025 09:18:53 +0800

deepin-devicemanager (6.0.31) unstable; urgency=medium

  * fix: feat: qt6 adaptation

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 20 Jan 2025 17:35:26 +0800

deepin-devicemanager (6.0.30) unstable; urgency=medium

  * chore: [disk] support multis lvm /dev/mapper

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 13:30:43 +0800

deepin-devicemanager (6.0.29) unstable; urgency=medium

  * fix: toml filename del serialnumber(Bug: 272885)
  * fix: bluetooth add alias proper(Bug: 269257)
  * fix: [cmd] Remove bash calls and system script calls(Task: 362323)
  * fix: [cmd] Add handling of the 'cat/boot/config*' command(Task: 362323)
  * fix:  adpator V23 dde for PS2 mouse wakeup(Bug: 271823)
  * chore: [security] add polkit support (#355)
    Thanks to nullptr
  * feat: [translation]add transifex config(Task: 361363)
  * fix: add polkit support for root app(Bug: 273929)
  * fix: add S3 wakeup detect support(Bug: 273929)
  * fix: after S3 wakeup init hardware must delay(Bug: 273929)
  * chore: [security] add polkit with setSingleInstance(Task: 364005)
  * fix:rounded ufs disk capacity(Bug: 276121)
  * fix: the screen size unbelive(Bug: 277559)
  * chore: [security] strong the dbus interface(Task: 365257)
  * fix: display of the number of a logical processor (Bug: 278565)
  * chore: Solve the problem that the plug-in service fails to start
    due to security reinforcement.
  * fix: support ext plugin monitor(Bug: 283735)
  * fix: Resolve the issue of empty device information display(Bug: 281813)
  * fix: fixed the issue that deb verify failed

 -- renbin <renbin@uniontech.com>  Fri, 22 Nov 2024 17:33:20 +0800
