## deepin-devicemanager 6.0.44

=== debian/changelog ===
deepin-devicemanager (6.0.44) unstable; urgency=medium

  * chore: New version 6.0.44.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 17:56:25 +0800

deepin-devicemanager (6.0.43) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 24 Jun 2025 17:51:19 +0800

deepin-devicemanager (6.0.42) unstable; urgency=medium

  * chore: New version 6.0.42.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:04:47 +0800

deepin-devicemanager (6.0.41) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:45:36 +0800
