## deepin-devicemanager 6.0.46

=== deepin-devicemanager-server/deepin-deviceinfo/CMakeLists.txt ===
--- 
+++ 
@@ -34,27 +34,81 @@
 
 link_libraries("udev")
 
-find_package(Qt5 COMPONENTS Core DBus REQUIRED)
-find_package(DtkCore REQUIRED)
+# 定义一个宏来根据QT_VERSION选择性执行代码
+macro(SET_QT_VERSION)
+  if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 环境
+    find_package(Qt6 COMPONENTS Core DBus REQUIRED)
+    find_package(PolkitQt6-1 REQUIRED)
+    find_package(Dtk6 COMPONENTS
+      Widget
+      Core
+      REQUIRED
+    )
+  elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 环境
+    find_package(Qt5 COMPONENTS Core DBus REQUIRED)
+    find_package(DtkCore REQUIRED)
+    find_package(PolkitQt5-1 REQUIRED)
+  else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+  endif()
+endmacro()
 
+SET_QT_VERSION()
+
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    find_package(QApt-qt6 REQUIRED)
+    include_directories(${QApt-qt6_INCLUDE_DIRS})
+    set(QAPT_LIB QApt-qt6)
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    find_package(QApt REQUIRED)
+    include_directories(${QApt_INCLUDE_DIRS})
+    set(QAPT_LIB QApt)
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+endif()
 
 add_library(${BIN_NAME} MODULE
     ${SRC_CPP}
     ${SRC_H}
 )
 
-target_include_directories(${BIN_NAME} PUBLIC
-  Qt5::Core
-  Qt5::DBus
-)
+if(${QT_VERSION_MAJOR} EQUAL 6)
+    # Qt6 environment
+    target_include_directories(${BIN_NAME} PUBLIC
+    Qt6::Core
+    Qt6::DBus
+    ${QAPT_LIB}
+  )
+  
+  target_link_libraries(${BIN_NAME} PRIVATE
+    Dtk6::Core
+    Dtk6::Widget
+    Qt6::Core
+    Qt6::DBus
+    PolkitQt6-1::Agent
+    ${Dtk6Core_LIBRARIES}
+    ${QAPT_LIB}
+  )
+elseif(${QT_VERSION_MAJOR} EQUAL 5)
+    # Qt5 environment
+    target_include_directories(${BIN_NAME} PUBLIC
+    Qt5::Core
+    Qt5::DBus
+  )
+  
+  target_link_libraries(${BIN_NAME} PRIVATE
+    Qt5::Core
+    Qt5::DBus
+    PolkitQt5-1::Agent
+    ${DtkCore_LIBRARIES}
+  )
+else()
+    message(FATAL_ERROR "Unsupported QT_VERSION: ${QT_VERSION}")
+endif()
 
-target_link_libraries(${BIN_NAME} PRIVATE
-  Qt5::Core
-  Qt5::DBus
-  ${DtkCore_LIBRARIES}
-)
 
-    install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
-    install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/system/)
-
+install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-service-manager/)
+install(FILES ${BIN_NAME}.json DESTINATION share/deepin-service-manager/system/)
 install(FILES org.deepin.deviceinfo.conf DESTINATION share/dbus-1/system.d/ )
