=== debian/control ===
Source: deepin-devicemanager
Section: devel
Priority: optional
Maintainer: Packages <packages@deepin.com>
Build-Depends: debhelper (>= 11),
 pkg-config,
 cmake,
 libzmq3-dev,
 libcups2-dev,
 libgtest-dev,
 libkmod-dev,
 libqapt-qt6-dev,
 libqapt3-qt6-runtime,
 libpolkit-qt6-1-dev,
 deepin-desktop-base,
 libdeepin-service-framework-dev (> 1.0.9),
 qt6-base-dev,
 qt6-base-dev-tools,
 qt6-base-private-dev,
 qt6-l10n-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6core-dev,
 qt6-svg-dev,
 libqt6sql6
Standards-Version: 4.1.3

Package: deepin-devicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode, x11-xserver-utils, hwinfo, cups, upower, deepin-shortcut-viewer, lshw, libdtk6core,libkmod2,libdeepin-service-framework,deepin-service-manager
Recommends: uos-reporter, deepin-event-log, deepin-elf-sign-tool
Description: Device Manager is a handy tool for viewing hardware information and managing the devices.
 Device Manager helps users manage hardware devices installed on computers,
 through which users can view parameters and export data of all hardware devices running in the system.
