## deepin-devicemanager 6.0.50

=== debian/changelog ===
deepin-devicemanager (6.0.50) unstable; urgency=medium

  * chore: update translations and add Lao language support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 15 Aug 2025 10:42:36 +0800

deepin-devicemanager (6.0.49) unstable; urgency=medium

  * chore: update translations

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 14:36:12 +0800

deepin-devicemanager (6.0.48) unstable; urgency=medium

  * Update version to 6.0.48. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 08 Aug 2025 13:34:56 +0800

deepin-devicemanager (6.0.47) unstable; urgency=medium

  * chore: More logs for ui.
  * fix: add null check for QNetworkInformation instance.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 31 Jul 2025 16:41:04 +0800
